<x-wireui:modal-card title="{{ $artistId ? __('artists.EditArtist') : __('artists.CreateNew') }}" blur wire:model.defer="showCreateModal">
    <div class="space-y-4">
        <x-wireui:select
            label="{{__('artists.category')}}"
            wire:model.defer="fields.category"
            placeholder="{{__('artists.select_category')}}"
            :options="$categoryOptions"
            option-label="name"
            option-value="value"
        />
        <x-wireui:input label="{{__('artists.name')}}" wire:model.defer="fields.name" />
    </div>

    <x-slot name="footer">
        <div class="flex justify-between w-full">
            <x-wireui:button flat label="{{__('artists.cancel')}}" @click="$wire.showCreateModal = false" />
            <x-wireui:button primary label="{{__('artists.submit')}}" wire:click="save" />
        </div>
    </x-slot>
</x-wireui:modal-card>
    